## unifdef 1.0

=== Makefile ===
CC     = gcc
CFLAGS = -O2 
DEST   = /usr

unifdef: unifdef.o
	$(CC) unifdef.o -o unifdef

clean:
	rm -f unifdef *.o

install: unifdef
	install -m 0755 unifdef $(DEST)/bin
	install -m 0644 unifdef.1 $(DEST)/man/man1
