=== debian/control ===
Source: unifdef
Section: devel
Priority: optional
Maintainer: Bob Proulx <bob@proulx.com>
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.4
Homepage: http://dotat.at/prog/unifdef/

Package: unifdef
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Description: Remove cpp '#ifdef' lines from files
 The unifdef utility selectively processes conditional cpp(1) directives.
 It removes from a file both the directives and any additional text that
 they specify should be removed, while otherwise leaving the file alone.
