=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
@@ -16,13 +15,12 @@
 
 build-stamp:
 	dh_testdir
-	env PATH=$$PATH:$(CURDIR) $(MAKE) CFLAGS="$(CFLAGS)"
-	env PATH=$$PATH:$(CURDIR) $(MAKE) test
+	$(MAKE) CFLAGS="$(CFLAGS)"
+	$(MAKE) test
 	touch build-stamp
 
 clean:
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp
 	rm -f unifdef
 	rm -f version.h
@@ -34,8 +32,7 @@
 	dh_testroot
 	dh_clean
 	dh_installdirs
-	echo RUNNING MAKE INSTALL
-	env PATH=$$PATH:$(CURDIR) $(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef
+	$(MAKE) install prefix=/usr DESTDIR=$(CURDIR)/debian/unifdef
 
 # Build architecture-independent files here.
 binary-indep: build install
