=== debian/changelog ===
unifdef (2.12-1) unstable; urgency=low

  * New upstream release.  (Closes: #950351)
  * Thanks to Matthew Vernon for the nudge.
  * Bump Standards Version to 4.6.2.0 (no changes).

 -- Bob Proulx <bob@proulx.com>  Tue, 24 Oct 2023 17:02:56 -0600

unifdef (2.11-1) unstable; urgency=low

  * New upstream release.
  * Support cross compiling.  With thanks to Colin Watson.
    (Closes: #753507)

 -- Bob Proulx <bob@proulx.com>  Thu, 16 Jan 2020 17:19:31 -0700

unifdef (2.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Chris Lamb to fix FTBFS under some locales.
    (Closes: #841427)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Mar 2017 18:38:39 +0300

unifdef (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bob Proulx <bob@proulx.com>  Wed, 14 Aug 2013 15:23:24 -0600
