=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# The prefix variable defaults to $HOME unless overridden.
override_dh_auto_install:
	dh_auto_install -- prefix=/usr

# multimissing test is not locale clean.  See Bug#841427.
override_dh_auto_test:
	env LC_ALL=C dh_auto_test

# dh_installman fails, unneeded, avoid.
override_dh_installman:

# The full changelog is small.
override_dh_installchangelogs:
	dh_installchangelogs --no-trim

override_dh_auto_clean:
	rm -f build-stamp
	rm -f unifdef
	rm -f version.h
	rm -f tests/*.out tests/*.err tests/*.rc
